load('/model/compras/DemandaDeCompra.js');
var mapper = mapperFactory.createMapperMult(["PrcFilialPendencia"]);
var demandaDeCompra = new DemandaDeCompra();

try{

    var response = demandaDeCompra.gerarDemanda(message);
    response;

  }catch(err){
  	if(err.code)
  	    throw JSON.stringify(err);
  	else
  	    throw err;
}